summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorChristopher Arndt2021-01-09 17:08:42 +0100
committerChristopher Arndt2021-01-09 17:08:42 +0100
commita5ada798c647705fb4a16feaf7214e972c6646f3 (patch)
treef68e82369fde7de7029a2d37c0f35287e75efb5c
parentdf9f73b7e3af97cafc87f2dce09610b549b4cefa (diff)
downloadaur-a5ada798c647705fb4a16feaf7214e972c6646f3.tar.gz
Upadtes due to dependency package changes
* Remove obsolete patch (not needed with up-to-date Python). * Change dependency on python-pyqtchart to python-pyqt5-chart. * Removing qt5 ant qtscintilla dependencies from setup.py not neccessary anymore.
-rw-r--r--.SRCINFO6
-rw-r--r--PKGBUILD18
2 files changed, 8 insertions, 16 deletions
diff --git a/.SRCINFO b/.SRCINFO
index c4d8361c734..922bf7c7da8 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,7 +1,7 @@
pkgbase = mu-editor
pkgdesc = A simple Python editor for beginner programmers
pkgver = 1.0.3
- pkgrel = 2
+ pkgrel = 3
epoch = 1
url = https://codewith.mu/
arch = any
@@ -17,7 +17,7 @@ pkgbase = mu-editor
depends = python-pgzero
depends = python-pycodestyle
depends = python-pyflakes
- depends = python-pyqtchart>=5.11.3
+ depends = python-pyqt5-chart>=5.15
depends = python-pyserial
depends = python-qscintilla-qt5
depends = python-qtconsole
@@ -25,9 +25,7 @@ pkgbase = mu-editor
depends = python-semver
depends = qt5-serialport
source = mu-editor-1.0.3.tar.gz::https://github.com/mu-editor/mu/archive/1.0.3.tar.gz
- source = webbrowser-issue31014.diff
sha256sums = d9917794de845231ffea671ceff24824bbe342c9d0da4340b237f7a915c0c358
- sha256sums = 6f2ebf536883ae182ec6a8118b049d7ff039b23d55f846eb7541a2ff0ae1849f
pkgname = mu-editor
diff --git a/PKGBUILD b/PKGBUILD
index d5d32d65ef8..c392b8e4259 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,34 +1,28 @@
# Maintainer: webmeister <aur -dot- 20 -dot- webmeister -at- spamgourmet -dot- com>
-# Contributor: Christopher Arndt <aur -at- chrisarndt -dot- de>
+# Maintainer: Christopher Arndt <aur -at- chrisarndt -dot- de>
pkgname=mu-editor
epoch=1
pkgver=1.0.3
-pkgrel=2
+pkgrel=3
pkgdesc='A simple Python editor for beginner programmers'
arch=('any')
url='https://codewith.mu/'
license=('GPL3')
depends=('pigpio' 'python-appdirs' 'python-gpiozero' 'python-guizero'
'python-matplotlib' 'python-nudatus' 'python-pgzero'
- 'python-pycodestyle' 'python-pyflakes' 'python-pyqtchart>=5.11.3'
+ 'python-pycodestyle' 'python-pyflakes' 'python-pyqt5-chart>=5.15'
'python-pyserial' 'python-qscintilla-qt5' 'python-qtconsole'
'python-requests' 'python-semver' 'qt5-serialport')
makedepends=('gendesk' 'python-setuptools')
-source=("$pkgname-$pkgver.tar.gz::https://github.com/mu-editor/mu/archive/$pkgver.tar.gz"
- 'webbrowser-issue31014.diff')
-sha256sums=('d9917794de845231ffea671ceff24824bbe342c9d0da4340b237f7a915c0c358'
- '6f2ebf536883ae182ec6a8118b049d7ff039b23d55f846eb7541a2ff0ae1849f')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/mu-editor/mu/archive/$pkgver.tar.gz")
+sha256sums=('d9917794de845231ffea671ceff24824bbe342c9d0da4340b237f7a915c0c358')
prepare() {
cd "$srcdir/mu-$pkgver"
- # python-pyqt5 and python-qscintilla are not python-setuptools compatible
- # the dependencies are handled by the package
- sed -i -e "s/'pyqt5==[0-9.]*',//" -e "s/'qscintilla==[0-9.]*',//" setup.py
- # Un-pin all other dependencies, so package doesn't break when a dependency is updated
+ # Un-pin all dependencies, so package doesn't break when a dependency is updated
sed -i -e 's/==/>=/g' setup.py
- patch -Np1 -i "${srcdir}/webbrowser-issue31014.diff"
}
build() {